> For the complete documentation index, see [llms.txt](https://docs.codemash.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.codemash.io/api/get-started.md).

# Get Started

### Clients

You can test our API using various well-known API clients like:

* [Postman](/api/how-to-test.md#postman)
* [Insomnia](/api/how-to-test.md#insomnia)
*

### CLI

You can use [CodeMash CLI ](/cli/codemash-cli.md)to create projects from templates, restore them from snapshots or use a powerful scripting language like bash to work with the modules.

```bash
#!/bin/bash
codemash project new "My New Project"
codemash database enable
cat employees.yaml | codemash database collection new
```

### SDKs

Also, you can test CodeMash API using popular SDKs:

{% content-ref url="/pages/0evoEk87e7t5kPcCjWwd" %}
[Node.js](/sdk/node.js.md)
{% endcontent-ref %}

{% content-ref url="/pages/THc3SdvKnJiIUnUyeaxL" %}
[TypeScript](/sdk/typescript.md)
{% endcontent-ref %}

{% content-ref url="/pages/G2Tp8QdhK84cegH11o65" %}
[.NET](/sdk/net.md)
{% endcontent-ref %}

## API

{% hint style="info" %}
**Prerequisites**.&#x20;

Before jumping in, please make sure you have completed the [**Prerequisites**](/api/prerequisites.md) part.
{% endhint %}

### Membership

### Database

### Files

### Code

### Notifications

#### Email Notifications

#### Push Notifications

### Payments

### Scheduler

### Logs & Monitoring


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.codemash.io/api/get-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
